/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: ExternalLinkType.idl,v $
 * $Revision: 1.1.2.1 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/

#ifndef __com_sun_star_sheet_ExternalLinkType_idl__
#define __com_sun_star_sheet_ExternalLinkType_idl__

//=============================================================================

module com {  module sun {  module star {  module sheet {

//=============================================================================

/** Constants designating the link type in
    <type>ExternalLinkInfo</type>, used with
    <member>FormulaParser::ExternalLinks</member>.

    @since OOo3.1
 */
constants ExternalLinkType
{
    /** Unknown element type
     */
    const long UNKNOWN  = 0;

    /** URL of an external document.
     */
    const long DOCUMENT = 1;

    /** DDE link.
     */
    const long DDE      = 2;

};

//=============================================================================

}; }; }; };

#endif

